Orxonox: OIS::JoyStickListener Class Reference

# OIS::JoyStickListener Class Reference

`#include <src/ois/OISJoyStick.h>`

Inheritance diagram for OIS::JoyStickListener:

List of all members.

## Public Member Functions

virtual bool | axisMoved (const JoyStickEvent &arg, int axis)=0
virtual bool | buttonPressed (const JoyStickEvent &arg, int button)=0
virtual bool | buttonReleased (const JoyStickEvent &arg, int button)=0
virtual bool | povMoved (const JoyStickEvent &arg, int index)
| Joystick Event, and povID.
virtual bool | sliderMoved (const JoyStickEvent &, int index)
| Joystick Event, and sliderID.
virtual bool | vector3Moved (const JoyStickEvent &arg, int index)
| Joystick Event, and Vector3ID.
virtual | ~JoyStickListener ()

## Detailed Description

To recieve buffered joystick input, derive a class from this, and implement the methods here. Then set the call back to your JoyStick instance with JoyStick::setEventCallback Each JoyStick instance can use the same callback class, as a devID number will be provided to differentiate between connected joysticks. Of course, each can have a seperate callback instead.

## Constructor & Destructor Documentation

virtual OIS::JoyStickListener::~JoyStickListener | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool OIS::JoyStickListener::axisMoved | ( | const JoyStickEvent & | arg,
|  | int | axis |
| ) |  |  | `[pure virtual]`

Remarks:
  Joystick axis moved event

Implemented in orxonox::InputManager.

Referenced by OIS::Win32JoyStick::capture(), and OIS::LinuxJoyStick::capture().

virtual bool OIS::JoyStickListener::buttonPressed | ( | const JoyStickEvent & | arg,
|  | int | button |
| ) |  |  | `[pure virtual]`

Remarks:
  Joystick button down event

Implemented in orxonox::InputManager.

Referenced by OIS::Win32JoyStick::_doButtonClick(), and OIS::LinuxJoyStick::capture().

virtual bool OIS::JoyStickListener::buttonReleased | ( | const JoyStickEvent & | arg,
|  | int | button |
| ) |  |  | `[pure virtual]`

Remarks:
  Joystick button up event

Implemented in orxonox::InputManager.

Referenced by OIS::Win32JoyStick::_doButtonClick(), and OIS::LinuxJoyStick::capture().

virtual bool OIS::JoyStickListener::povMoved | ( | const JoyStickEvent & | arg,
|  | int | index |
| ) |  |  | `[inline, virtual]`

Joystick Event, and povID.

Reimplemented in orxonox::InputManager.

Referenced by OIS::Win32JoyStick::_changePOV(), and OIS::LinuxJoyStick::capture().

virtual bool OIS::JoyStickListener::sliderMoved | ( | const JoyStickEvent & | ,
|  | int | index |
| ) |  |  | `[inline, virtual]`

Joystick Event, and sliderID.

Reimplemented in orxonox::InputManager.

Referenced by OIS::Win32JoyStick::capture().

virtual bool OIS::JoyStickListener::vector3Moved | ( | const JoyStickEvent & | arg,
|  | int | index |
| ) |  |  | `[inline, virtual]`

Joystick Event, and Vector3ID.

Reimplemented in orxonox::InputManager.

The documentation for this class was generated from the following file:

- src/ois/OISJoyStick.h